var MSG = {
    sure_btn: "OK",
    id_math_or: "or",
    title_blockly_help: "Blockly Introduction",
    cancel_btn: "Cancel",
    no_common_servo_info: "There is currently no angle mode servo (can rotate within a designated range). Do you need to set one up?",
    no_circle_servo_info: "There is currently no wheel mode servo (can rotate 360°). Do you need to set one up?",
    id_events: "events",
    id_motion: "moves",
    id_control: "control",
    id_acousto_optic: "show",
    id_sensors: "sensors",
    id_math: "math",
    id_variable: "variable",
    id_function: "functions",
    id_start: "start",
    id_when_start: "click 'Run' to start",
    id_go_to_start: "go to start",
    id_motion_speed: "speed",
    id_acousto_continued: "duration",
    id_motion_angle: "angle",
    id_motion_distance: "Distance",
    id_motion_second: "s",
    id_motion_degree: "degree",
    id_motion_step: "steps",
    id_motion_execution: "execute action",
    id_motion_stop: "stop action",
    motion_placeholder: "my actions",
    id_motion_millisecond: "ms",
    id_motion_go_forward: "forward",
    id_motion_go_back: "backward",
    id_motion_go_left: "turn left",
    id_motion_go_right: "turn right",
    id_motion_speed_normal: "middle",
    id_motion_speed_fast: "fast",
    id_motion_speed_faster: "very fast",
    id_motion_speed_slow: "slow",
    id_motion_speed_slower: "very slow",
    id_motion_steer_gear: "servo",
    id_motion_turn_rotation: "rotate",
    id_motion_turn_clockwise: "clockwise",
    id_motion_turn_unclockwise: "anti-clockwise",
    id_while: "while",
    id_repeat: "repeat",
    id_control_wait: "wait",
    id_control_wait_for: "wait until",
    id_control_repeat_times: "times",
    id_until: "until",
    id_control_execution: "run to",
    id_control_then: "then",
    id_control_infinite_loop: "repeat execution",
    id_acousto_play_tone: "play tune",
    id_acousto_beat: "tempo",
    id_acousto_mysound: "my voice",
    id_acousto_lights_on: "light up",
    id_acousto_color: "colour",
    id_acousto_left: "left light",
    id_acousto_right: "right light",
    id_acousto_eyes_lights: "eye light",
    id_acousto_brightness: "brightness",
    id_acousto_bgMusic: "background music",
    id_acousto_bgLight: "background lighting",
    id_acousto_emotions: "expression",
    id_acousto_scenelight: "light display",
    id_acousto_custom: "custom light",
    id_acousto_r: "red",
    id_acousto_g: "green",
    id_acousto_b: "blue",
    id_all_lightup: "all bright",
    id_self_defined: "custom",
    id_events_when_device: "When the phone/tablet",
    id_events_when_front_obstacle: "when there are obstacles in front",
    id_events_when_obstacle: "when the IR sensor",
    id_events_cm: "cm",
    event_click: "tap",
    id_events_move_right: "move right",
    id_events_move_left: "move left",
    id_events_move_up: "move up",
    id_events_move_down: "move down",
    id_events_move_forward: "move forward",
    id_events_move_back: "move backward",
    ahead_obstacle: "obstacles in front",
    obstacle_distance: "distance to obstacle",
    phone_pad: "phone/tablet",
    tilt_right: "tilt right",
    tilt_left: "tilt left",
    tilt_up: "tilt up",
    tilt_down: "tilt down",
    tilt_swing: "tilt swing",
    id_sensor_IR_sensor: "IR sensor",
    id_sensor_reflectance_between_obstacle: "distance from obstacle",
    low_power: "low power",
    create_variable: "Make New variable",
    rename_variable: "rename variable",
    variable1: "variable 1",
    variable_value: "the value of",
    variable_placeholder: "Please enter variable name",
    increase: "increase",
    reduce: "decrease",
    id_math_and: "and",
    id_math_not: "not",
    define_function: "define function",
    rename_function: "Rename function",
    beat_2: "2",
    beat_1: "1",
    beat_2_1: "1/2",
    beat_4_1: "1/4",
    beat_8_1: "1/8",
    id_all: "all",
    animal: "animal",
    machine: "machine",
    recording: "recording",
    bear: "bear",
    bird: "bird",
    chicken: "chicken",
    cow: "cow",
    dog: "dog",
    elephant: "elephant",
    giraffe: "giraffe",
    horse: "horse",
    lion: "lion",
    monkey: "monkey",
    pig: "pig",
    rhinoceros: "rhinoceros",
    sealions: "sealions",
    tiger: "tiger",
    walrus: "walrus",
    ambulance: "ambulance",
    busy_tone: "busy tone",
    carhorn: "carhorn",
    carhorn1: "carhorn1",
    doorbell: "doorbell",
    engine: "engine",
    laser: "laser",
    meebot: "meebot",
    police_car_1: "police_car_1",
    police_car_2: "police_car_2",
    ringtones: "ringtones",
    robot: "robot",
    telephone_call: "telephone Call",
    touch_tone: "touch Tone",
    wave: "wave",
    id_happy: "happy",
    id_jingya: "surprised",
    id_relei: "tears",
    id_leiguang: "flashing tears",
    id_shangxin: "sad",
    id_yun: "dizzy",
    id_cry: "cry",
    id_fadai: "dazed",
    id_zhayan: "blink",
    id_haixiu: "shy",
    id_shanshuo: "flash",
    id_huxi: "Breathe",
    id_fengshan: "fan",
    id_yugua: "wipers",
    id_repet_error_hint: "Name already saved.",
    id_deng: "7 colored lights",
    id_disco: "disco",
    id_caise: "color stacking",
    id_sanyuanse: "primary colors",
    command: "command",
    emotion: "emotion",
    cheer: "cheer",
    transfiguration: "transform",
    yawn: "yawn",
    snoring: "snoring",
    surprise: "surprise",
    actingcute: "cute",
    angry: "angry",
    fail: "failure",
    lose: "lost",
    received: "receive",
    complete: "complete",
    cover: "shield",
    move: "move",
    doubt: "doubt",
    nonsense: "Crazy talk",
    cheerful: "cheerful",
    support: "support",
    yes: "yes",
    come_and_play: "song 1",
    flexin: "song 2",
    london_bridge: "song 3",
    yankee_doodle: "song 4",
    variable_inputrule_msg: "Cannot begin with a digit. Special characters cannot be entered. A maximum of %1 characters or %2 Chinese characters can be entered.",
    recording_placeholder: "Please enter a recording name",
    sysActionName: "my action",
    posture_named_popup_placeholder: "action",
    recording_name_repea: "Sorry, the recording name you entered is already in use",
    save_fail: "Failed to save sound effect",
    not_file: "Recording file does not exist",
    error_param: "Parameter error",
    sys_sound_name: "system sound effects",
    has_no_record_authority: "Current device does not have access to recordings",
    porject_alert_content_02: "Error in base service operation. Error info",
    newProjectName: "my project",
    add_project_pop_title: "project name",
    porject_alert_content_01: "Item name already exists. Please enter again.",
    porject_alert_content_06: "Project saved",
    porject_alert_content_10: "Please slide left to delete 1 action and then add a new one.",
    porject_alert_content_11: "Please slide left to delete 1 recording and then add a new one.",
    porject_alert_content_04: "Failed to read project",
    porject_alert_content_05: "Sorry, the program block in the read item file contains errors.",
    close_blue: "Bluetooth is connected. Close?",
    id_sensor_set_gyroscope: "gyroscope",
    x_axie: "roll angle",
    y_axie: "pitch angle",
    z_axie: "heading angle",
    current_block_disabled: "Current program block not available",
    id_copy_instruction: "copy command",
    id_copy_current: "copy current",
    id_copy_current_all: "current and lower",
    sys_motion_name: "system actions",
    motion_name_repea: "Sorry, the current action name is already in use.",
    return: "Back",
    exit_popup_title: "tips",
    version_title: "Blockly version info",
    version_des: "Your have the latest version of Blockly",
    version_btn: "Revert to an earlier version",
    blockly_guide1: "Tap here to see help and Blockly version info",
    blockly_guide2: "Tap here to switch to an earlier version of Blockly",
    guide_go: "skip",
    version_msg: "Version update info",
    update_record: "Update history",
    attention: "note",
    record1: "Optimized Blockly visual programming tool to improve experience and stability.",
    record2: "Optimized popup for command parameter settings for more intuitive command parameter settings.",
    record3: "Optimized command categories, added several commands, and made them more intuitive and easier to understand.",
    record4: "New Blockly may not be able to run previous programs! You can revert to an earlier version to run.",
    no_circle_servo: "There is no servo in the model that can rotate 360 °",
    no_rotate_servo: "Your block has no angleless servo steering gear",
    servo_changed_tips: "Servo mode has been changed. Please set the parameters again.",
    edit_save: "save",
    edit_delete: "delete",
    id_math_remainder: "remainder",
    id_math_round: "rounding",
    id_math_ceil: "Round up to an integer",
    id_math_floor: "Round down to an integer",
    id_math_integer: "integer",
    id_math_odd: "odd",
    id_math_even: "even",
    id_math_prime: "prime number",
    id_math_positive: "positive number",
    id_math_negative: "negative number",
    release: "Release",
    click: "click",
    db_click: "double click",
    press_hold: "Hold",
    touch_sensor: "touch sensor",
    status: "status is",
    id_sensor_angle_to_zero: "angle zero",
    touch_tips: "The touch sensor is not connected to the current model",
    gyroscope_tips: "The gyro sensor is not connected to the current model",
    lights_tips: "The current model is not connected to any light",
    disconnected: "Disconnected",
    current_value: "current value",
    recordTime_too_short: "Recording time too short",
    id_math_is: "is",
    project_unsaved: "Untitled",
    edit_edittemp: "edit",
    name_empty: "Name cannot be blank",
    reminder_cannot_zero: "divisor can not be 0",
    infrared_tips: "Infrared sensor is not connected to current model",
    project_not_saved: "do not save",
    var_name_repea: "Sorry, this variable name is already in use.",
    nubmer_cannot_negative: "When finding a remainder, the divisor and dividend cannot be negative.",
    yu_cannot_zero: "The remainder cannot be 0!",
    id_motion_turn_stop: "Stop",
    electric_machinery: "motor",
    electric_machinery_rotate_speed_minns: "rpm",
    when_ultrasonic_sensor: "when ultrasonic sensor",
    ultrasonic_sensor: "ultrasonic sensor",
    ultrasonic_tips: "Current model unconnected ultrasonic sensor",
    ultrasonic_lights: "ultrasonic light",
    infrared_ultrasonic_tips: "The current model is not connected to an IR sensor or ultrasonic sensor",
    guide_step1: "In the Programming Lab, you can view robot programs",
    guide_step2: "and program your own robot",
    guide_step3: "Apply your knowledge from the Training Base to program your Jimu robot!",
    current_has_disabled_block: "Some blocks unavailable in the current program.",
    id_helloworld: "'Hello, world! I'm Jimu.",
    add_project: "New Program",
    when_color_sensor: "when color sensor",
    color_sensor: "color sensor",
    distinguish_color: "detect color",
    color_tips: "The current robot is not connected to a color sensor",
    id_acousto_light_unicorn: "UnicornBot light",
    id_acousto_unicorn_light_effect: "UnicornBot light",
    id_acousto_twinkle: "flashing",
    id_acousto_from_color: "from color",
    id_acousto_to_color: "to color",
    id_control_repeat_twinkle_times: "times/sec",
    unicorn_tips: "The current robot is not connected to the UnicornBot light",
    breathe: "Breathe",
    shyness: "Shy",
    happiness: "Happy",
    think: "Thinking",
    warn: "Warning",
    magic: "Magic",
    unicorn1: "UnicornBot1",
    unicorn2: "UnicornBot2",
    unicorn3: "UnicornBot3",
    unicorn4: "UnicornBot4",
    id_motion_continued: "continued",
    id_motion_myaction: "my action",
    id_motion_time: "time",
    id_motion_turn_angle: "",
    id_sensor_gyroscope: "gyroscope",
    sure: "",
    edit_cancel: "",
    event_start: "",
    electric_machinery_rotate_speed: "",
    id_sensor_angle: "",
    id_acousto_second: "",
    id_control_seconds: "",
    servo: "",
    electric_machinery_rotate: "",
    id_control_repeat: "",
    id_acousto_times: "",
    sysVoiceName: "My recording",
    id_sensor_device: "",
    id_sensor: "",
    emotion_engine: "",
    happy: "",
    add_project_placeholder: "",
    gyroscope: "",
    /*************MiniBlockly 新增翻译   begin*************************/
    toolbox_action: 'Moves',
    toolbox_expression: 'Expressions',
    toolbox_voice: 'Sounds',
    toolbox_events: 'Incidents',
    toolbox_dance: 'Dances',
    toolbox_content: 'Content',
    toolbox_detection: 'Detect',
    toolbox_control: 'Control',
    toolbox_operation: 'Calculate',
    toolbox_variable: 'Variables',
    toolbox_function: 'Functions',    
    show: 'Show',
    select_voice: 'Select a sound effect',
    id_acousto_stop_play: 'Stop playing',
    id_operation_face_number: 'Number of faces recognized',
    id_action_walk: 'Walk',
    id_action_rotate: 'Rotate',
    id_control_repeat_times: 'Times',
    id_control_degree_everytime: '(30° each time)',
    id_action_stop: 'Stop the current action',
    id_mouth_LED: 'Mouth LED',
    id_mouth_on: 'Always on',
    id_mouth_off: 'Turn off',
    color_red: 'Red',
    color_green: 'Green',
    color_white: 'White',
    play_voice: 'Play sound',
    until_end: 'Until the end',
    voice: 'Volume',
    percent: '%',
    Chinese: 'Chinese',
    English: 'English',
    put: 'Translate',
    project_save_success: 'Successfully saved',
    name_save_success: 'Successfully modified',
    add_project_pop_title: 'Save project',
    hello_wukong: 'Hello, I\'m Mini',
    translate_to: 'into',
    create_new_work: 'Create new work',
    exit_tips: 'The current work has not been saved and will be lost without saving',
    edit_save: 'Save',
    project_not_saved: 'Do not save',
    play_record: 'Play recording',
    record_sound: 'Record a sound',
    robot_volume: 'Robot volume',
    take_photo_now: 'Take a photo now',
    fill_project_name: 'Create a Title for your work',
    FRUIT: 'Fruits',
    apple: 'Apple',
    banana: 'Banana',
    pear: 'Pear',
    orange: 'Orange',
    kiwifruit: 'Kiwi fruit',
    grape: 'Grape',
    mango: 'Mango',
    mandarin: 'Tangerine',
    pitaya: 'Dragon fruit',
    avocado: 'Avocado',
    peach: 'Peach',
    FLOWER: 'Plants',
    greendill: 'Marble Queen',
    luckybamboo: 'Lucky Bamboo',
    asparagusfern: 'Plume Fern',
    moneytree: 'Money Tree',
    babysbreath: 'Baby\'s Breath',
    evergreen: 'Evergreen Tree',
    jonquil: 'Longevity Flower',
    chrysanthemum: 'Chrysanthemum',
    carnation: 'Carnation',
    Sansevieria: 'Snake Plant',
    hyacinth: 'Bluebells',
    narcissus: 'Daffodils',
    chlorophytum: 'Bracketplant',
    clivia: 'Clivia',
    drippingGuanyin: 'Dripping Guanyin',
    SIGN: 'Gestures',
    VerticalIndexFinger: 'Lift index finger',
    call: 'Call',
    VerticalFoodMiddleFinger: 'Lift index and middle fingers',
    ThanHeart: 'Hand heart',
    pistol: 'Pistol',
    backHand: 'Back of the hand',
    VerticalFinger: 'Lift pinky',
    OrchidFinger: 'Orchid fingers',
    like: 'Like',
    dislike: 'Dislike',
    ThanV: 'Yeah',
    ErectMiddleFinger: 'Lift middle finger',
    OK: 'OK',
    ROCK: 'ROCK',
    makeFist: 'Fist',
    SmallPistol: 'Small Pistol',
    palm: 'Palm',
    cancel: 'Cancel',
    sure: 'Confirm',
    project_has_no_change: 'No modification',
    MOTION: 'Basic moves',
    DANCE: 'Select a dance',
    EXPRESSION: 'Basic expressions',
    when_current_obstacle_distance: 'Distance to obstacle in front',
    cm: 'cm',onlySurportChinese: 'Chinese only',
    onlySurportEnglish: 'English only',
    Iknow: 'I see',
    sensitive_words: 'Sensitive words detected, please modify',
    VersionNotCompatible: 'Incompatible version',
    DataParsingFailed: 'Data parser failure',
    touch_single_click: 'Tapped',
    touch_long_press: 'Pressed and held',
    touch_double_click: 'Double tapped',
    a_key: 'A',
    b_key: 'B',
    x_key: 'X',
    y_key: 'Y',
    view_key: 'View',
    ok_key: 'Done',
    up_key: 'Move up',
    down_key: 'Move down',
    left_key: 'Move to the left',
    right_key: 'Move to the right',
    forward_incline: 'Tilt forward',
    backward_incline: 'Tilt backward',
    left_incline: 'Tilt to the left',
    right_incline: 'Tilt to the right',
    touch_header: 'When head is',
    then: '',
    key: 'Tap',
    when_press: 'When tapped',
    tilt: '',
    gender_men: 'Male',
    gender_women: 'Female',
    gender_unknown: 'Other',
    id_control_break: 'Drop out of the loop',
    select_face_dialog_title: 'Please choose a familiar face',
    familiar_people: 'A familiar person',
    stranger_people: 'A stranger',
    none: 'None',
    touch_type_single_click: 'Tap',
    touch_type_long_press: 'Press',
    touch_type_release: 'Release',
    clear_workspace_tips: 'Are you sure you want to remove all current blocks?',
    stand: 'standing',
    leftLunges: 'doing a left lunge',
    rightLunges: 'doing a right lunge',
    sitDown: 'sitting down',
    squatDown: 'squatting down',
    kneeling: 'kneeling down',
    lying: 'lying down',
    lyingDown: 'lying face down',
    leftSplits: 'doing a left split',
    rightSplits: 'doing a right split',
    when_wukong_hear: 'When Mini hears',
    wukong_hear: 'Mini hears',
    none: 'None',
    customized_variable: 'Self-defined variables',
    system_time: 'Time',
    face_number: 'Face',
    recognition_result: 'Recognition',
    success_insert_block: 'The block has been added to the canvas',
    insert_block: 'Add a block',
    MoveLeft: 'Turn left',
    MoveRight: 'Turn right',
    MoveForward: 'Move forward',
    MoveBackward: 'Move backward',
    more_than: 'greater than',
    less_than: 'less than',
    more_than_equal: 'greater than or equal to',
    less_than_equal: 'less than or equal to',
    equal: 'equal to',
    not_equal: 'not equal to',
    math_add: 'plus',
    math_minus: 'minus',
    math_multiply: 'multiplied by',
    math_divide: 'divided by',
    empty_friend: 'Mini friend list is empty',
    input_text: 'Please enter text',
    toolbox_unittest: 'Unit test',
    maxLength_chn_eng_num: 'Up to {maxLength} Chinese or English characters or numbers, but no emojis allowed',
    maxLength_chn: 'Up to {maxLength} Chinese characters',
    maxLength_chn_eng_num_2: 'Up to {maxLength} Chinese or English characters or numbers, but no spaces or special characters allowed',
    maxLength_variable_tips: 'Cannot start with a number. Up to {maxLength} Chinese or English characters or numbers, but no spaces or special characters allowed',
    im_wukong: 'I am Mini',
    confirm_del_var: 'Are you sure you want to delete {count} variables?',
    done_del_var: '{count} variables deleted',
    manage_var: 'Manage variables',
    create: 'New project',
    cancel_all: 'Deselect all',
    select_all: 'Select all',
    rename: 'Rename',
    // 海外版新增翻译
    French: 'French',
    Korea: 'Korean',
    Japanese: 'Japanese',
    maxLength_eng_french_math: 'Emoticons are not allowed within {maxLength}  English or French characters and Numbers',
    maxLength_eng: 'English and spaces only are allowed within {maxLength} words',
    maxLength_eng_math_space: 'Special symbols are not allowed within {maxLength}  English characters and Numbers',
    maxLength_eng_math_symbol: 'Emoticons are not allowed within {maxLength}  English characters and Numbers',
    maxLength_eng_match: 'Emoticons and spaces are not allowed within {maxLength} English characters and Numbers',
    maxLength_korea_jap_chn_eng_math: 'Emoticons are not allowed within {maxLength} Korean, Japanese, Chinese, and English characters and Numbers',
    maxLength_korea_spance: 'Only Korean and spaces can be entered within {maxLength} characters',
    maxLength_korea_eng_math_space: 'Special symbols are not allowed within {maxLength} Korean and English characters and Numbers',
    maxLength_korea_eng_math_symbol: 'Emoticons are not allowed within {maxLength} Korean and English characters and Numbers',
    maxLength_korea_eng_math: 'Emoticians and spaces are not allowed within {maxLength} Korean and English chracters and Numbers',
    running: 'Block running',
    int_range: 'Range: integers from {minValue} to {maxValue}',
    // 离线国内版新增
    err_msg_require_login: 'Mini robot has not been bound, please contact an administrator or teacher and try again after binding',
    running_close_tips: 'Click the robot power button to stop block from running',
    // 物体识别弹窗
    more: 'More',
    DAILY_GOODS: 'Daily goods',
    recoginize_online: 'Alpha mini needs to connect to the Internet to recognize this page\'s items. ',
    // 整理积木块翻译
    block_text_make_action: 'Show [action]',
    block_text_make_expression: 'Expressions [expression]',
    block_text_perform: 'Perform [perform]',
    block_text_recognition_face_sex: 'Recognized face like [sex]',
    block_text_recognition_person: 'Recognized [person]',
    block_text_recognition_fruit: 'Recognized [fruit]',
    block_text_event_start: 'When [start] is tapped',
    block_text_event_press_AB_key: 'When [press] [key]',
    block_text_event_when_see_person: 'When Mini sees a person',
    block_text_event_detect_known_face: 'When Mini sees [person]',
    block_text_robot_posture: 'When the posture is [posture]',
    block_text_variables_set: 'Set variant [var] value [value]',
    block_text_variable_take: "set [var] [increase] [number]",
    block_text_play_sound: 'Play effect [sound] Volume [volume]',
    block_text_play_sound_sync: 'Play effect [sound] Volume [volume] until the end',
    block_text_play_voice: 'Play sound [voice]',
    block_text_play_voice_syce: 'Play sound [voice] until the end',
    block_text_play_record: 'Play recording [voice]',
    project_name_duplicate_error: '该作品已存在，请修改名称',
    friend_not_exit: '机器人好友与编程不一致，请重新选择'
};