"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var block_provider_1 = require("../block_provider");
function get_action_specs() {
    return [
        {
            id: 'broadcast',
            entity_specific: false,
            responder_blocks: [],
            statefulness: {
                default_value: '',
                automatic_transitions: 'one_frame',
                use_sub_type: true,
            },
        },
        {
            id: 'running_group_activated',
            entity_specific: false,
            responder_blocks: [{
                    id: 'on_running_group_activated',
                    type: block_provider_1.ResponderType.Action,
                    async: false,
                }],
        },
    ];
}
exports.get_action_specs = get_action_specs;
