"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function get_domain_functions(benchmark_deps) {
    var b = benchmark_deps;
    var domain_functions = {
        set: function (args, interpreter_id, entity_id, internals) {
            if (args.key == 'Method' || args.key == 'Time') {
                throw new Error('Only the benchmark runner may set the Method and Time columns.');
            }
            b.set(args.key, args.value);
        },
        start_iteration: function (args, interpreter_id, entity_id, internals) {
            b.start_iteration();
        },
        finish_iteration: function (args, interpreter_id, entity_id, internals) {
            b.finish_iteration();
        },
    };
    return function () { return domain_functions; };
}
exports.get_domain_functions = get_domain_functions;
