import { Catastrophe } from 'catastrophic';
export declare const ohno: {
    system: {
        unknown_system_error: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        missing_domain_function: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        procedure_missing_call_timestamps: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        procedure_popped_empty_call_stack: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        popped_empty_variable_stack: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        undefined_or_null_block: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        procedure_can_not_find_yielding_ancestor: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        unhandled_run_block_result: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        action_received_without_spec: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        state_query_received_without_spec: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        state_query_for_non_stateful_action: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        unknown_error_in_domain_function_call: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        unknown_action_block_param_type: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        feature_not_available_in_debug_mode: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        called_set_variable_without_needed_parameters: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        called_get_variable_without_needed_parameters: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        stack_overflow: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
    };
    user: {
        unknown_user_error: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        procedure_no_such_parameter: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        procedure_parameter_outside: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        procedure_return_outside: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        procedure_return_empty: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        error_constructing_value_from_atomic_block: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        unknown_run_block_error: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        block_bad_math_expression: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        break_with_bad_parent: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        undefined_code_path_argument: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        lists_get_value_bad_index: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        tell_with_unknown_entity: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        entity_variable_operation_out_of_scope: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        clone_unknown_entity: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        proc_parameter_without_value: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        call_undefined_procedure: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
    };
    warning: {
        tell_with_disposed_entity: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        clone_with_disposed_entity: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        tell_with_destructing_entity: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        entity_has_no_known_typeclass: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
    };
    compiler: {
        system: {
            unknown_procedure_block_type: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            procedure_name_not_string: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            procedure_call_name_not_string: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            unknown_compiler_error: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            unknown_expression: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            constructed_bad_javascript: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            popped_empty_yield_reset_stack: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            popped_empty_yield_group_stack: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            could_not_find_root_block: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            could_not_find_procedure_parameter_name: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        };
        user: {
            tried_to_break_outside_of_loop: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            procedure_parameter_outside: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            procedure_return_empty: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            error_constructing_value_from_atomic_block: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            procedure_no_such_parameter: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            procedure_return_outside: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            defined_multiple_constructors: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            defined_multiple_destructors: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
            disabled_param: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
        };
    };
    configuration: {
        tried_to_change_user_debug_mode_while_running: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
    };
    client: {
        domain_function_error: (annotation_or_error?: any, optional_annotation_if_error_given?: any) => Catastrophe;
    };
};
export declare type Ohno = typeof ohno;
