import * as BLK from '../block_types';
import * as H from '../di_interfaces';
import * as O from './types';
import * as T from '../basic_types';
export declare class OptiProgramCacheImpl implements H.OptiProgramCache {
    private u;
    private ohno;
    private event_bus;
    private block_registry;
    private opti_compiler;
    private block_pool;
    private programs;
    constructor(u: H.Util, ohno: H.Ohno, event_bus: H.EventBusPrivate, block_registry: H.BlockRegistry, opti_compiler: H.OptiCompiler, block_pool: H.BlockPool);
    get_program(cache_id: T.ID, source_map_entity: T.ID, source_map_rbid: T.ID, interpreter_id: T.ID, compiled_block: BLK.CompiledBlock): O.OptiProgram;
    clear(): void;
}
