"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function apply_test_block_defaults(block_xml) {
    var message = "\n    <value name=\"message\">\n      <shadow type=\"text\">\n        <field name=\"TEXT\"></field>\n      </shadow>\n    </value>\n  ";
    block_xml.define_block_xml('plan', "\n    <value name=\"n_planned_assertions\">\n      <shadow type=\"math_number\">\n        <field name=\"NUM\">1</field>\n      </shadow>\n    </value>\n  ");
    block_xml.define_block_xml('fail', message);
    block_xml.define_block_xml('pass', message);
    block_xml.define_block_xml('truthy', message);
    block_xml.define_block_xml('falsy', message);
    block_xml.define_block_xml('is', message);
    block_xml.define_block_xml('not', message);
    block_xml.define_block_xml('good_promise', "\n    <value name=\"returns\">\n      <shadow type=\"text\">\n        <field name=\"TEXT\">success</field>\n      </shadow>\n    </value>\n    <value name=\"milliseconds\">\n      <shadow type=\"math_number\">\n        <field name=\"NUM\">40</field>\n      </shadow>\n    </value>\n  ");
    block_xml.define_block_xml('bad_promise', message);
    block_xml.define_block_xml('send_test_action', "\n    <value name=\"parameter_value\">\n      <shadow type=\"text\">\n        <field name=\"TEXT\">hello</field>\n      </shadow>\n    </value>\n  ");
    block_xml.define_block_xml('create_entity_instance', "\n    <value name=\"typeclass_id\">\n      <shadow type=\"text\">\n        <field name=\"TEXT\">typeclassid</field>\n      </shadow>\n    </value>\n  ");
}
exports.apply_test_block_defaults = apply_test_block_defaults;
