import * as H from '../di_interfaces';
import * as P from '../public_interfaces';
import { RuntimeProvider } from '../block_provider';
export declare class TestBlockProviderFactoryImpl implements H.TestBlockProviderFactory {
    private config;
    private event_bus;
    private ohno;
    private runtime_data;
    private runtime_manager;
    private bxbf;
    constructor(config: H.Config, event_bus: H.EventBusPrivate, ohno: H.Ohno, runtime_data: H.RuntimeData, runtime_manager: H.RuntimeManager, bxbf?: H.BlockXMLBuilderFactory | undefined);
    runtime_provider(ava_like_test_object: P.AvaTestLike): RuntimeProvider;
    block_provider_and_xml(test_icon_url: string, ava_like_test_object: P.AvaTestLike): H.BlockGetters;
}
