import * as B from '../../di_interfaces';
export declare class BlockBase {
    init?: () => void;
    isInMutator: boolean;
    onchange: Function;
    outputConnection: any;
    is_edit: boolean;
    flyoutRect_: any;
    id: string;
    mutationToDom: Function | undefined;
    inputsInline: boolean | undefined;
    data: string | undefined;
    inputsInlineDefault: boolean | undefined;
    is_edit_block(): boolean;
    set_edit_block(edit: boolean): void;
    nextConnection: any;
    previousConnection: any;
    disabled: boolean;
    type: string;
    comment: any;
    helpUrl: string | Function;
    workspace: any;
    isInFlyout: boolean;
    RTL: boolean;
    movable_: boolean;
    editable_: boolean;
    isShadow_: boolean;
    inputList: B.Input[];
    tooltip: string;
    contextMenu: boolean;
    parentBlock_: B.Block | undefined;
    childBlocks_: B.Block[];
    deletable_: boolean;
    collapsed_: boolean;
    xy_: any;
    moveBy(dx: number, dy: number): void;
    getInputsInline: () => void;
    isCollapsed: () => boolean;
    setCollapsed: (collapsed: boolean) => void;
    setCommentText: (text?: string) => void;
    getRelativeToSurfaceXY: () => any;
    appendValueInput: (name: string) => B.Input;
    appendStatementInput: (name: string) => B.Input;
    appendDummyInput: (opt_name?: string) => B.Input;
    dispose: (healStack: boolean, derive_arg?: any) => void;
    getColour: () => string;
    getDescendants: () => Block[];
    getParent: () => Block;
    getNextBlock: () => Block;
    getRootBlock: () => Block;
    isDeletable: () => boolean;
    isMovable: () => boolean;
    isShadow: () => boolean;
    isEditable: () => boolean;
    getChildren: () => B.Block[];
    unplug(opt_healStack?: boolean): void;
    bumpNeighbours_: () => void;
    getVars: () => string[];
    setOnChange: (onchangeFn: Function) => void;
}
export declare class Block extends BlockBase {
    protected Blockly: B.Blockly;
    protected goog: any;
    protected utils: B.Utils;
    constructor(workspace: any, prototypeName?: string, opt_id?: string);
    interpolate_(message: string, args: any[], lastDummyAlign: string): void;
    getCommentText(): any;
    append_shadow_input(name: string, str: string): any;
    append_shadow(type: number, name: string, str: string): any;
    makeConnection_(type: number): any;
    transform_string_to_xml(xml_string: string): any;
    set_rendered: (new_boolean: boolean) => void;
}
