import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { Block } from '../../google_blockly';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class BlockDraggerBase {
    protected draggingBlock_: B.BlockSvg;
    protected workspace_: any;
    protected draggedConnectionManager_: any;
    protected deleteArea_: any;
    protected wouldDeleteBlock_: boolean;
    protected startXY_: any;
    protected dragIconData_: any;
    protected fireMoveEvent_: () => void;
    protected maybeDeleteBlock_: () => boolean;
    protected updateCursorDuringBlockDrag_: () => void;
    protected pixelsToWorkspaceUnits_: (pixelCoord: any) => any;
    protected dragIcons_: (dxy: any) => void;
    dispose: () => void;
    protected initIconData_: (block: Block) => Object[];
    dragBlock: (e: Event, currentDragDeltaXY: any) => void;
}
export declare class BlockDragger extends BlockDraggerBase {
    constructor(block: Block, workspace: any);
    startBlockDrag(currentDragDeltaXY: any): void;
    endBlockDrag(e: Event, currentDragDeltaXY: any): void;
}
