import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { Icon } from './icon';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class CommentBase extends Icon {
    setText: (text: string) => void;
    setBubbleSize: (width: number, height: number) => void;
    protected width_: number;
    protected height_: number;
    getText: () => string;
    getBubbleSize: () => any;
}
export declare class Comment extends CommentBase {
    protected blockly: B.Blockly;
    protected utils: B.Utils;
    protected goog: any;
    protected Bubble: typeof B.Bubble;
    private textarea_;
    private bubble_;
    private mouse_up_event_;
    private isFocus_;
    private foreignObject_;
    constructor(block: B.Block);
    private createEditor_();
    private resizeBubble_();
    textareaFocus_(e: Event): void;
    private fixed_bubble_size_to_textarea();
    setVisible(visible: boolean): void;
    textarea_mouse_down_(e: Event, textarea: HTMLElement): void;
    unbind_mouse_up(): void;
    getIsFocus_(): boolean;
}
