import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { FieldImage } from './field_image';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
import { BkySVGElement } from '../../public_interfaces';
export declare class FieldButtonBase extends FieldImage {
}
export declare class FieldButton extends FieldButtonBase {
    protected blockly: B.Blockly;
    protected goog: any;
    protected fieldGroup_: BkySVGElement;
    protected rectElement_: BkySVGElement;
    protected callback_: Function;
    constructor(src: string, width: number, height: number, opt_alt: string, opt_callback?: any);
    init(): void;
    protected onClick_(event: Event): void;
}
