import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class FlyoutBase {
    protected width_: number;
    targetWorkspace_: any;
    buttons_: B.FlyoutButton[];
    protected workspace_: any;
    RTL: boolean;
    protected listeners_: any[];
    MARGIN: number;
    protected blockMouseDown_: (block: B.Block) => Function;
    protected moveRectToBlock_: (rect: SVGElement, block: B.Block) => void;
    protected toolboxPosition_: number;
    init: (targetWorkspace: B.Workspace) => void;
    createDom: (tagName: string) => Element;
    onMouseDown_: () => void;
}
export declare class Flyout extends FlyoutBase {
    protected blockly: B.Blockly;
    protected goog: any;
    constructor(workspace_options: any);
    protected addBlockListeners_(root: any, block: B.Block): void;
    show: (xmlList: any, custom?: any) => void;
    protected initFlyoutButton_(button: B.FlyoutButton, x: number, y: number, width?: number): void;
}
