import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { BkySVGElement } from '../../public_interfaces';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class FlyoutButtonBase {
    protected text_: string;
    protected svgGroup_: BkySVGElement;
    marginRight: number;
    width: number;
    height: number;
    protected workspace_: any;
    protected updateTransform_: () => void;
    protected mouseUpWrapper_: any;
    protected relation: string | undefined;
    protected type: string | undefined;
    protected option: string | undefined;
    protected title: string | undefined;
    protected inline: string | undefined;
    protected targetWorkspace_: any;
    protected callback_: Function;
    protected style: string | undefined;
    protected image: BkySVGElement;
}
export declare class FlyoutButton extends FlyoutButtonBase {
    protected blockly: B.Blockly;
    protected utils: B.Utils;
    moveTo: (x: number, y: number) => void;
    show: () => void;
    setStyle: Function;
    constructor(workspace: any, targetWorkspace: any, xml: Element, isLabel: boolean);
    createDom(width?: number): BkySVGElement;
    onMouseUp_(e: any): void;
}
