import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { Flyout } from './flyout_base';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class VerticalFlyoutBase extends Flyout {
    protected horizontalLayout_: boolean;
    protected getMetrics_: () => any;
    protected setMetrics_: (xyRatio: any) => void;
    protected offset_x: number;
    protected offset_y: number;
    protected scrollbar_: any;
    protected line_: {
        elem: any;
        x: number;
        y: number;
    }[];
}
export declare class VerticalFlyout extends VerticalFlyoutBase {
    protected blockly: B.Blockly;
    protected blockSvg: typeof B.BlockSvg;
    protected utils: B.Utils;
    protected Xml: B.Xml;
    protected goog: any;
    constructor(workspace_options: any);
    private layout_(contents, gaps);
    private reflowInternal_(blocks);
    private placeNewBlock_(originBlock);
    wheel_(e: any): void;
}
