import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class ScrollbarBase {
    protected oldHostMetrics_: any;
    protected createDom_: (opt_class: string) => void;
    protected onMouseDownBar_: (e: Event) => void;
    protected onMouseDownHandle_: (e: Event) => void;
}
export declare class Scrollbar extends ScrollbarBase {
    protected blockly: B.Blockly;
    protected goog: any;
    private workspace_;
    private pair_;
    private horizontal_;
    private position_;
    private lengthAttribute_;
    private positionAttribute_;
    private svgHandle_;
    private svgBackground_;
    private outerSvg_;
    private onMouseDownBarWrapper_;
    private onMouseDownHandleWrapper_;
    static scrollbarThickness: number;
    constructor(workspace: B.Workspace, horizontal: boolean, opt_pair: boolean, opt_class: string);
}
