import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { BkyElement } from '../defs';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class ToolboxBase {
    protected config_: any;
    flyout_: B.Flyout;
    protected workspace_: any;
    protected tree_: any;
    protected hasColours_: boolean;
    protected treeSeparatorConfig_: any;
    HtmlDiv: BkyElement;
    position: () => void;
    protected addColour_: (opt_tree?: any) => void;
    protected populate_: (newTree: any) => any;
    refreshSelection: () => void;
}
export declare class Toolbox extends ToolboxBase {
    protected blockly: B.Blockly;
    protected utils: B.Utils;
    protected goog: any;
    constructor(workspace: any);
    init(): void;
    syncTrees_: (treeIn: any, treeOut: any, pathToMedia: any) => any;
    pubsyncTrees(treeIn: any, treeOut: any, pathToMedia: any): any;
    static TreeControl: any;
    static TreeNode: any;
    refreshSelection: () => void;
}
