# Codemao Blockly

## Set up your environment

clone the project

install submodules and dependencies
  ```
  $ git submodule update --init
  $ yarn
  ```

# Developer

cmblockly:
  yarn link (generate a module call 'cmblockly')
  you can use npm run build or npm watch

kitten:
  yarn link cmblockly
  yarn

Start Kitten
  yarn start

# Release
1. Run Test
2. Change the version in package.json
3. Code Review and merged into master
4. Push a git tag for your release to origin (git tag x.x.x && git push origin x.x.x)
5. Run 'npm run clean && npm run build:prod && npm pack' will create a 'cmblockly-x.x.x.tgz'
6. Copy the .tgz file to kitten/libs or whichever client will use he update
7. Delete the old .tgz file from that same directory
8. Adjust Kitten's package.json dependency to point new .tgz file
9. Run Test and Code Review in Kitten
