import * as H from './di_interfaces';
import { Action } from './block_provider';
import { ActionStateQueryParams } from './public_interfaces';
export declare class ActionStateStoreImpl implements H.ActionStateStore {
    private block_registry;
    private event_bus;
    private u;
    private states;
    constructor(block_registry: H.BlockRegistry, event_bus: H.EventBusPrivate, u: H.Util);
    clear(): void;
    private perform_automatic_state_transitions();
    update(new_actions: Action[]): void;
    get_action_state_value(params: ActionStateQueryParams): string;
}
