export interface MersenneTwisterState {
    mt: number[];
    mti: number;
}
export declare class MersenneTwister {
    private readonly N;
    private readonly M;
    private readonly MATRIX_A;
    private readonly UPPER_MASK;
    private readonly LOWER_MASK;
    private mt;
    private mti;
    constructor(seed?: number | Number[]);
    get_state(): MersenneTwisterState;
    set_state(state: MersenneTwisterState): void;
    init_seed(s: number): void;
    init_by_array(init_key: number[], key_length: number): void;
    random_int(): number;
    random_int31(): number;
    random_incl(): number;
    random(): number;
    random_excl(): number;
    random_long(): number;
}
