import * as H from '../di_interfaces';
import { BasicBlockConfigDependencies } from '../public_interfaces';
import { DayNames } from '../basic_types';
import { RuntimeProvider } from '../block_provider';
export declare class BasicBlockProviderFactoryImpl implements H.BasicBlockProviderFactory {
    private config;
    private day_names;
    private event_bus;
    private ohno;
    private runtime_data;
    private runtime_manager;
    private bxbf;
    constructor(config: H.Config, day_names: DayNames, event_bus: H.EventBusPrivate, ohno: H.Ohno, runtime_data: H.RuntimeData, runtime_manager: H.RuntimeManager, bxbf?: H.BlockXMLBuilderFactory | undefined);
    runtime_provider(): RuntimeProvider;
    block_provider_and_xml(block_config_deps: BasicBlockConfigDependencies): H.BlockGetters;
}
