"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function apply_test_block_defaults(block_xml) {
    function text_field(name, default_val) {
        if (default_val === void 0) { default_val = ''; }
        return "\n      <value name=\"" + name + "\">\n        <shadow type=\"text\">\n          <field name=\"TEXT\">" + default_val + "</field>\n        </shadow>\n      </value>\n    ";
    }
    block_xml.define_block_xml('set', "\n    " + text_field('key', 'col name') + "\n    <value name=\"val\">\n      <shadow type=\"math_number\">\n        <field name=\"NUM\">1</field>\n      </shadow>\n    </value>\n  ");
}
exports.apply_test_block_defaults = apply_test_block_defaults;
