import * as H from './di_interfaces';
import * as B from './block_types';
export declare class BlockPoolImpl implements H.BlockPool {
    private event_bus;
    private log;
    private ohno;
    private u;
    private config;
    private pool;
    constructor(event_bus: H.EventBusPrivate, log: H.Logger, ohno: H.Ohno, u: H.Util, config: H.Config);
    private create();
    private release_block_param(b?);
    private reset(block);
    clone(block: B.CompiledBlock, par?: B.PoolBlock): B.CompiledBlock;
    get(): B.PoolBlock;
    release(block: B.CompiledBlock): void;
}
