"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LOOP_BLOCKS;
(function (LOOP_BLOCKS) {
    LOOP_BLOCKS[LOOP_BLOCKS["repeat_forever"] = 1] = "repeat_forever";
    LOOP_BLOCKS[LOOP_BLOCKS["repeat_n_times"] = 2] = "repeat_n_times";
    LOOP_BLOCKS[LOOP_BLOCKS["repeat_forever_until"] = 3] = "repeat_forever_until";
    LOOP_BLOCKS[LOOP_BLOCKS["wait_until"] = 4] = "wait_until";
    LOOP_BLOCKS[LOOP_BLOCKS["break"] = 5] = "break";
})(LOOP_BLOCKS = exports.LOOP_BLOCKS || (exports.LOOP_BLOCKS = {}));
var IF_BLOCKS;
(function (IF_BLOCKS) {
    IF_BLOCKS[IF_BLOCKS["controls_if"] = 1] = "controls_if";
    IF_BLOCKS[IF_BLOCKS["controls_if_no_else"] = 2] = "controls_if_no_else";
})(IF_BLOCKS = exports.IF_BLOCKS || (exports.IF_BLOCKS = {}));
var EVENT_BLOCKS;
(function (EVENT_BLOCKS) {
    EVENT_BLOCKS[EVENT_BLOCKS["self_listen"] = 1] = "self_listen";
    EVENT_BLOCKS[EVENT_BLOCKS["start_as_a_mirror"] = 2] = "start_as_a_mirror";
    EVENT_BLOCKS[EVENT_BLOCKS["player_position_on_change"] = 3] = "player_position_on_change";
    EVENT_BLOCKS[EVENT_BLOCKS["mouse_on_emit"] = 4] = "mouse_on_emit";
    EVENT_BLOCKS[EVENT_BLOCKS["block_on_break"] = 5] = "block_on_break";
    EVENT_BLOCKS[EVENT_BLOCKS["when"] = 6] = "when";
})(EVENT_BLOCKS = exports.EVENT_BLOCKS || (exports.EVENT_BLOCKS = {}));
var PROCEDURE_BLOCKS;
(function (PROCEDURE_BLOCKS) {
    PROCEDURE_BLOCKS[PROCEDURE_BLOCKS["procedures_defnoreturn"] = 1] = "procedures_defnoreturn";
    PROCEDURE_BLOCKS[PROCEDURE_BLOCKS["procedures_callnoreturn"] = 2] = "procedures_callnoreturn";
    PROCEDURE_BLOCKS[PROCEDURE_BLOCKS["procedures_callreturn"] = 3] = "procedures_callreturn";
    PROCEDURE_BLOCKS[PROCEDURE_BLOCKS["procedures_return_value"] = 4] = "procedures_return_value";
    PROCEDURE_BLOCKS[PROCEDURE_BLOCKS["procedures_parameter"] = 5] = "procedures_parameter";
})(PROCEDURE_BLOCKS = exports.PROCEDURE_BLOCKS || (exports.PROCEDURE_BLOCKS = {}));
var MIDI_BLOCKS;
(function (MIDI_BLOCKS) {
    MIDI_BLOCKS[MIDI_BLOCKS["midi_play_note"] = 1] = "midi_play_note";
    MIDI_BLOCKS[MIDI_BLOCKS["midi_wait"] = 2] = "midi_wait";
})(MIDI_BLOCKS = exports.MIDI_BLOCKS || (exports.MIDI_BLOCKS = {}));
var HAT_BLOCKS;
(function (HAT_BLOCKS) {
    HAT_BLOCKS[HAT_BLOCKS["start_on_click"] = 1] = "start_on_click";
    HAT_BLOCKS[HAT_BLOCKS["self_on_tap"] = 2] = "self_on_tap";
    HAT_BLOCKS[HAT_BLOCKS["backdrop_on_change"] = 3] = "backdrop_on_change";
    HAT_BLOCKS[HAT_BLOCKS["self_listen"] = 4] = "self_listen";
    HAT_BLOCKS[HAT_BLOCKS["start_as_a_mirror"] = 5] = "start_as_a_mirror";
    HAT_BLOCKS[HAT_BLOCKS["procedures_defnoreturn"] = 6] = "procedures_defnoreturn";
    HAT_BLOCKS[HAT_BLOCKS["on_swipe"] = 7] = "on_swipe";
    HAT_BLOCKS[HAT_BLOCKS["player_position_on_change"] = 8] = "player_position_on_change";
    HAT_BLOCKS[HAT_BLOCKS["mouse_on_emit"] = 9] = "mouse_on_emit";
    HAT_BLOCKS[HAT_BLOCKS["block_on_break"] = 10] = "block_on_break";
    HAT_BLOCKS[HAT_BLOCKS["when"] = 11] = "when";
    HAT_BLOCKS[HAT_BLOCKS["on_running_group_activated"] = 12] = "on_running_group_activated";
})(HAT_BLOCKS = exports.HAT_BLOCKS || (exports.HAT_BLOCKS = {}));
var ATOMIC_BLOCKS;
(function (ATOMIC_BLOCKS) {
    ATOMIC_BLOCKS[ATOMIC_BLOCKS["math_number"] = 1] = "math_number";
    ATOMIC_BLOCKS[ATOMIC_BLOCKS["text"] = 2] = "text";
})(ATOMIC_BLOCKS = exports.ATOMIC_BLOCKS || (exports.ATOMIC_BLOCKS = {}));
var SPECIAL_BLOCKS;
(function (SPECIAL_BLOCKS) {
    SPECIAL_BLOCKS[SPECIAL_BLOCKS["tell"] = 1] = "tell";
    SPECIAL_BLOCKS[SPECIAL_BLOCKS["logic_empty"] = 2] = "logic_empty";
    SPECIAL_BLOCKS[SPECIAL_BLOCKS["sync_tell"] = 3] = "sync_tell";
    SPECIAL_BLOCKS[SPECIAL_BLOCKS["warp"] = 4] = "warp";
})(SPECIAL_BLOCKS = exports.SPECIAL_BLOCKS || (exports.SPECIAL_BLOCKS = {}));
var BlockOutputType;
(function (BlockOutputType) {
    BlockOutputType[BlockOutputType["none"] = 0] = "none";
    BlockOutputType[BlockOutputType["any"] = 1] = "any";
    BlockOutputType[BlockOutputType["number"] = 2] = "number";
    BlockOutputType[BlockOutputType["list"] = 3] = "list";
    BlockOutputType[BlockOutputType["string"] = 4] = "string";
})(BlockOutputType = exports.BlockOutputType || (exports.BlockOutputType = {}));
