import { BlockPredicates, BlockRegistry, BlockUtil, Logger, Ohno } from './di_interfaces';
import { CompiledBlock, PreBlock } from './block_types';
import { EntityCompileResult } from './basic_types';
export declare class BlockUtilImpl implements BlockUtil {
    is: BlockPredicates;
    private block_registry;
    private ohno;
    private log;
    constructor(is: BlockPredicates, block_registry: BlockRegistry, ohno: Ohno, log: Logger);
    reset_state(block: PreBlock): void;
    get_first_ancestor_satisfying(block: CompiledBlock | PreBlock | undefined, assert: (parent: CompiledBlock | PreBlock) => boolean): CompiledBlock | undefined;
    has_block_of_types(cws: EntityCompileResult[], block_types: string[]): boolean;
}
