"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _uniq = require("lodash/uniq");
var var_regex = /<field name="VAR">(\S*)<\/field/g;
function get_variables_from_xml(xml) {
    var res = [];
    while (true) {
        var match = var_regex.exec(xml);
        if (match === null) {
            break;
        }
        res.push(match[1]);
    }
    return _uniq(res);
}
exports.get_variables_from_xml = get_variables_from_xml;
