"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var mersenne_twister_1 = require("./algorithm/mersenne_twister");
var PRNGFactoryImpl = (function () {
    function PRNGFactoryImpl() {
    }
    PRNGFactoryImpl.prototype.create = function (seed) {
        return new mersenne_twister_1.MersenneTwister(seed);
    };
    PRNGFactoryImpl = tslib_1.__decorate([
        inversify_1.injectable()
    ], PRNGFactoryImpl);
    return PRNGFactoryImpl;
}());
exports.PRNGFactoryImpl = PRNGFactoryImpl;
