import { copy_, duplicate_, copyDuplicate_ } from './common';
import * as B from '../../di_interfaces';
export interface MutationButton {
    width: number;
    height: number;
    url: string;
}
export declare class CodemaoBlockly {
    constructor(blockly: B.Blockly);
    Block: typeof B.Block;
    BlockSvg: typeof B.BlockSvg;
    Bubble: typeof B.Bubble;
    BlockDragger: typeof B.BlockDragger;
    ContextMenu: any;
    Connection: typeof B.Connection;
    Field: typeof B.Field;
    FieldIcon: typeof B.FieldIcon;
    FieldImage: typeof B.FieldImage;
    FieldLabel: typeof B.FieldLabel;
    FieldButton: typeof B.FieldButton;
    FieldDropdown: typeof B.FieldDropdown;
    FieldColour: typeof B.FieldColour;
    FieldTextInput: typeof B.FieldTextInput;
    FieldNumber: typeof B.FieldNumber;
    Toolbox: typeof B.Toolbox;
    Msg: B.Msg;
    Comment: B.Comment;
    Flyout: typeof B.Flyout;
    FlyoutButton: typeof B.FlyoutButton;
    VerticalFlyout: typeof B.VerticalFlyout;
    Generator: typeof B.Generator;
    Grid: typeof B.Grid;
    Scrollbar: typeof B.Scrollbar;
    RenderedConnection: typeof B.RenderedConnection;
    Variables: typeof B.Variables;
    Procedures: B.Procedures;
    Python: any;
    JavaScript: any;
    Blocks: any;
    Mutator: any;
    Xml: B.Xml;
    Css: B.Css;
    Events: any;
    Names: any;
    inject: B.Inject;
    utils: B.Utils;
    FieldVariable: any;
    genUid: any;
    Workspace: typeof B.Workspace;
    WorkspaceSvg: typeof B.WorkspaceSvg;
    mainWorkspace: any;
    private createDom_;
    MutationRemoveButton: typeof B.MutationRemoveButton;
    MutationAddButton: typeof B.MutationAddButton;
    WidgetDiv: any;
    svgResize: any;
    Touch: any;
    WorkspaceAudio: any;
    defineBlocksWithJsonArray: any;
    Constants: any;
    Extensions: any;
    ADD_BUTTON: MutationButton;
    REMOVE_BUTTON: MutationButton;
    copy_: typeof copy_;
    duplicate_: typeof duplicate_;
    copyDuplicate_: typeof copyDuplicate_;
    onKeyDown_: any;
    bindEventWithChecks_(node: Node, name: string, thisObject: Object, func: Function, opt_noCaptureIdentifier?: boolean, opt_noPreventDefault?: boolean): (string | Node | ((e: Event) => void))[][];
}
