import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { BkySVGElement } from '../../public_interfaces';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class ConnectionBase {
    type: number;
    protected sourceBlock_: B.BlockSvg;
    protected inDB_: boolean;
    protected check_: any[];
    protected x_: number;
    protected db_: any;
    protected y_: number;
    protected hidden_: boolean;
    protected targetConnection: B.Connection | undefined;
    isSuperior: () => boolean;
    protected connect_: (childConnection: B.Connection) => void;
    isConnected: () => boolean;
    disconnect: () => void;
    targetBlock: () => B.Block;
    protected checkType_: (otherConnection: B.Connection) => boolean;
    protected checkConnection_: (target: B.Connection) => void;
}
export declare class Connection extends ConnectionBase {
    static highlightedPath_: BkySVGElement;
    constructor(source: B.Block, type: number);
    connect(otherConnection: B.Connection): boolean | undefined;
    onCheckChanged_(): void;
}
