import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { BkySVGElement } from '../../public_interfaces';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class FieldBase {
    static NBSP: string;
    renderWidth: number;
    renderSep: number;
    protected borderRect_: BkySVGElement;
    protected size_: any;
    maxDisplayLength: number;
    protected text_: string | undefined;
    name: string | undefined;
    EDITABLE: boolean;
    protected fieldGroup_: BkySVGElement;
    protected textElement_: BkySVGElement;
    protected mouseDownWrapper_: any;
    protected visible_: boolean;
    protected sourceBlock_: B.BlockSvg | undefined;
    setText(newText: string | undefined): void;
    getSize(): any;
    protected render_(): void;
    updateEditable: () => void;
    setValue(newValue: string): void;
    getValue: () => string;
    protected onMouseDown_: (e: Event) => void;
    protected getDisplayText_: () => string;
    protected getAbsoluteXY_: () => any;
    protected getScaledBBox_: () => any;
}
export declare class Field extends FieldBase {
    protected Blockly: typeof B.Blockly;
    protected utils: B.Utils;
    protected goog: any;
    protected BlockSvg: typeof B.BlockSvg;
    constructor(text?: string, opt_validator?: Function);
    init(): void;
}
