import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { Field } from './field';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class FieldColourBase extends Field {
    widgetDispose_: () => void;
    COLUMNS: number;
    COLOURS: string[];
    changeEventKey_: any;
    sourceBlock_: B.BlockSvg;
    columns_: number;
    colours_: any;
    callValidator: (text: string) => any;
}
export declare class FieldColour extends FieldColourBase {
    protected BlockSvg: typeof B.BlockSvg;
    protected goog: any;
    Deps: B.Deps;
    constructor(colour: string, opt_validator: Function);
    init(): void;
    showEditor_(): void;
}
