import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { Field } from './field';
import { BkySVGElement } from '../../public_interfaces';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class FieldImageBase extends Field {
    init(): void;
    protected imageElement_: BkySVGElement;
}
export declare class FieldImage extends FieldImageBase {
    protected src_: string;
    protected goog: any;
    protected BlockSvg: typeof B.BlockSvg;
    protected height_: number;
    protected width_: number;
    clickHandler_: Function;
    constructor(src_: string, width: number, height: number, opt_alt?: string, opt_onClick?: any);
    setValue(src?: string): void;
}
