import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { Field } from './field';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class FieldTextInputBase extends Field {
    onFinishEditing_?: Function;
    setSpellcheck(check: boolean): void;
    protected workspace_: any;
    protected showPromptEditor_: Function;
    protected showInlineEditor_: Function;
    protected widgetDispose_: Function;
    protected spellcheck_: boolean;
    protected validate_: Function;
    resizeEditor_: Function;
    protected onHtmlInputKeyDown_(e: Event): void;
    protected onHtmlInputChange_(e: Event): void;
}
export declare class FieldTextInput extends FieldTextInputBase {
    protected goog: any;
    blockly: B.Blockly;
    constructor(text: string, opt_validator?: Function);
    showEditor_(opt_quietInput: boolean): void;
}
