import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { BkySVGElement } from '../../public_interfaces';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class GridBase {
    protected line1_: BkySVGElement;
    protected scale_: number;
    protected line2_: BkySVGElement;
    protected gridPattern_: BkySVGElement;
    protected length_: number;
    protected spacing_: number;
    protected setLineAttributes_: (line: BkySVGElement, width: number, x1: number, x2: number, y1: number, y2: number) => void;
}
export declare class Grid extends GridBase {
    protected blockly: B.Blockly;
    protected utils: B.Utils;
    constructor(pattern: BkySVGElement, option: any);
    static createDom(rnd: string, gridOptions: any, defs: BkySVGElement): BkySVGElement;
    update(scale: number): void;
}
