import * as B from '../../di_interfaces';
export interface Input {
    new (type: number, name: string, block: B.Block, connection: any): any;
    connection: any;
    fieldRow: ArrayLike<B.Field>;
    fieldWidth: number;
    renderHeight: number;
    renderWidth: number;
    isVisible: () => boolean;
    name: string;
    type: number;
    appendField: (field: string | B.Field, opt_name?: string) => Input;
    setCheck: (check?: string | string[]) => Input;
    setAlign: (align: number) => Input;
}
