import { interfaces } from 'inversify';
import * as B from '../../di_interfaces';
import { Connection } from './connection';
export declare const lazy_inject: (serviceIdentifier: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (proto: any, key: string) => void;
export declare class RenderedConnectionBase extends Connection {
}
export declare class RenderedConnection extends RenderedConnectionBase {
    protected blockly: B.Blockly;
    protected goog: any;
    protected utils: B.Utils;
    protected BlockSvg: typeof B.BlockSvg;
    private offsetInBlock_;
    constructor(source: B.Block, type: number);
    moveTo(x: number, y: number): void;
    highlight(): void;
}
