import * as B from '../../di_interfaces';
import { BkySVGElement } from '../../public_interfaces';
export declare class Utils {
    constructor(blockly: B.Blockly);
    addClass: (element: Element, className: string) => boolean;
    createSvgElement: (name: string, attrs: any, parent?: any) => BkySVGElement;
    is3dSupported: () => boolean;
    removeClass: (element: Element, className: string) => boolean;
    tokenizeInterpolation: (msg: string) => (number | string)[];
    replaceMessageReferences: (message: string) => string;
    getInjectionDivXY_: (element: Element) => any;
    genUid: () => string;
    isRightButton: (e: Event) => boolean;
}
