import * as B from '../../di_interfaces';
export interface Msg {
    [name: string]: string | Function | undefined;
    set_icon_prefix?: (prefix: string) => void;
    LISTS_INDEX_OF_TOOLTIP: string;
    LISTS_INDEX_FROM_START_TOOLTIP: string;
    LISTS_GET_INDEX_TOOLTIP_GET_FROM: string;
    LISTS_GET_INDEX_TOOLTIP_GET_FIRST: string;
    LISTS_GET_INDEX_TOOLTIP_GET_LAST: string;
    LISTS_GET_INDEX_TOOLTIP_GET_RANDOM: string;
    LISTS_GET_INDEX_TOOLTIP_GET_REMOVE_FROM: string;
    LISTS_GET_INDEX_TOOLTIP_GET_REMOVE_FIRST: string;
    LISTS_GET_INDEX_TOOLTIP_GET_REMOVE_LAST: string;
    LISTS_GET_INDEX_TOOLTIP_GET_REMOVE_RANDOM: string;
    LISTS_GET_INDEX_TOOLTIP_REMOVE_FROM: string;
    LISTS_GET_INDEX_TOOLTIP_REMOVE_FIRST: string;
    LISTS_GET_INDEX_TOOLTIP_REMOVE_LAST: string;
    LISTS_GET_INDEX_TOOLTIP_REMOVE_RANDOM: string;
    LISTS_SET_INDEX_TOOLTIP_SET_FROM: string;
    LISTS_SET_INDEX_TOOLTIP_SET_FIRST: string;
    LISTS_SET_INDEX_TOOLTIP_SET_LAST: string;
    LISTS_SET_INDEX_TOOLTIP_SET_RANDOM: string;
    LISTS_SET_INDEX_TOOLTIP_INSERT_FROM: string;
    LISTS_SET_INDEX_TOOLTIP_INSERT_FIRST: string;
    LISTS_SET_INDEX_TOOLTIP_INSERT_LAST: string;
    LISTS_SET_INDEX_TOOLTIP_INSERT_RANDOM: string;
    BLOCK_CONTROL_ICON: string;
    BLOCK_OPERATORS_ICON: string;
    BLOCK_LIST_ICON: string;
    BLOCK_APPEARANCE_ICON: string;
    BLOCK_REMOVE_BUTTON_ICON: string;
    BLOCK_ADD_BUTTON_ICON: string;
    BLOCK_AI_ICON: string;
    BLOCK_CLOUD_ICON: string;
    TEXT_APPEND_TOOLTIP: string;
    MATH_CHANGE_TOOLTIP: string;
    PROCEDURES_DEFNORETURN_PROCEDURE: string;
}
export declare function msg_factory(blockly: B.Blockly, config: B.Config): Msg;
export declare function set_color_msg(msg: Msg): void;
export declare function set_icon_msg(msg: Msg): (prefix: string) => void;
