export interface Blockly {
    [key: string]: any;
    Css: any;
    Msg: any;
    Python: any;
    JavaScript: any;
    Block: Block;
    BlockSvg: BlockSvg;
    Blocks: any;
    ContextMenu: any;
    BlockDragger: any;
    Field: any;
    Flyout: any;
    FlyoutButton: any;
    Mutator: any;
    Xml: any;
    Events: any;
    Names: any;
    inject: any;
    Input: any;
    Variables: any;
    Procedures: any;
    FieldVariable: any;
    genUid: any;
    WorkspaceSvg: any;
    Workspace: any;
    Scrollbar: any;
    mainWorkspace: any;
    MutationRemoveButton: any;
    MutationAddButton: any;
    FieldButton: any;
    FieldIcon: any;
    FieldLabel: any;
    FieldImage: any;
    FieldAngle: any;
    FieldCheckbox: any;
    FieldDropdown: any;
    FieldNumber: any;
    FieldDate: any;
    WidgetDiv: any;
    FieldColour: any;
    Connection: any;
    RenderedConnection: any;
    svgResize: any;
    Tooltip: any;
    Toolbox: any;
    Touch: any;
    utils: any;
    FieldTextInput: any;
    bindEventWithChecks_: any;
    HorizontalFlyout: any;
    VerticalFlyout: any;
    WorkspaceAudio: any;
    clipboardXml_: any;
    resizeSvgContents: any;
    bindEvent_: any;
    ConnectionDB: any;
    Grid: any;
    mouseToSvg: any;
    INPUT_VALUE: number;
    NEXT_STATEMENT: number;
    ALIGN_LEFT: number;
    ALIGN_RIGHT: number;
    ALIGN_CENTRE: number;
    DUMMY_INPUT: number;
    TOOLBOX_AT_RIGHT: number;
    VARIABLE_CATEGORY_NAME: any;
    PROCEDURE_CATEGORY_NAME: any;
    SNAP_RADIUS: number;
    DELETE_AREA_TRASH: number;
    DELETE_AREA_TOOLBOX: number;
    DELETE_AREA_NONE: number;
}
export interface Block {
    new (workspace: any, prototypeName?: string, opt_id?: string): any;
    newFieldLabelFromJson_: any;
    newFieldTextInputFromJson_: any;
    newFieldVariableFromJson_: any;
    newFieldImageFromJson_: any;
}
export interface BlockSvg extends Block {
}
export declare const Blockly: Blockly;
export declare const goog: any;
